使用停權類型註冊與解除
停權類型註冊¶
將停權時要套用的類型註冊到 Hive 伺服器。已註冊的類型會在 停權註冊 API 中作為停權類型編號(block_type)參數使用。彈窗格式可在營運政策限制(type_status=O)與臨時限制(type_status=N)中選擇,且韓文與英文為必填註冊語言。請參考控制台指南 認證 > 停權 > 類型註冊。
Basics¶
| 說明 | |
|---|---|
| Request URL | 正式環境: https://auth.qpyou.cn/game/block/type/set 沙箱: https://sandbox-auth.qpyou.cn/game/block/type/set |
| Method | POST |
| HTTP Header | Content-type: application/json ISCRYPT: 0 |
| Response Format | JSON |
Request¶
| Parameter | Type | Required | Description |
|---|---|---|---|
| appid | String | O | App ID |
| hive_certification_key | String | O | Hive 認證金鑰(在 App Center 發行)詳情 |
| type_status | String | O | 停權彈窗格式
|
| type_name | String | O | 停權類型名稱(韓文) 最多可註冊 200 bytes。 |
| type_en_name | String | O | 停權類型名稱(英文) 最多可註冊 200 bytes。 |
| reasons | Array | O | 停權原因清單(按語言區分的訊息陣列) |
| reasons[].language | String | O | 語言代碼
|
| reasons[].title | String | O (type_status=N), X (type_status=O) | 停權原因標題type_status=N(臨時限制) 時必須傳送,type_status=O(營運政策限制) 時若傳送會發生錯誤。最多可註冊 200 bytes。 |
| reasons[].reason | String | O | 停權原因內容 營運政策限制( type_status=O)時最多可註冊 200 bytes,臨時限制(type_status=N)時最多可註冊 400 bytes。 |
Response¶
| Parameter | Type | Description |
|---|---|---|
| result_code | Integer | 結果代碼
|
| result_msg | String | 結果訊息 |
| data | Object | 結果資料 |
| data.block_type | Integer | 已註冊的停權類型編號 |
營運政策限制類型註冊請求¶
註冊營運政策限制類型時,請使用此請求。將 type_status 值設為 O,並一併傳送各語言的停權原因內容。
curl -X POST https://auth.qpyou.cn/game/block/type/set \
-H 'Content-Type: application/json' \
-H 'ISCRYPT: 0' \
-d '{"appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common", "hive_certification_key": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY", "type_status": "O", "type_name": "불법 프로그램 이용", "type_en_name": "Usage of unauthorized programs", "reasons": [{"language": "ko", "reason": "불법 프로그램 이용"}, {"language": "en", "reason": "Use of Unauthorized Programs"}, {"language": "ja", "reason": "使用非法程序"}]}'
臨時限制類型註冊請求¶
註冊臨時限制類型時,請使用此請求。將 type_status 值設為 N,並一併傳送各語言的標題與原因內容。
curl -X POST https://auth.qpyou.cn/game/block/type/set \
-H 'Content-Type: application/json' \
-H 'ISCRYPT: 0' \
-d '{"appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common", "hive_certification_key": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY", "type_status": "N", "type_name": "임시 접속 제한(게임 데이터 수정)", "type_en_name": "Temporary access restriction (game data modified)", "reasons": [{"language": "ko", "title": "게임 이용에 불편을 드려 죄송합니다.", "reason": "현재 게임 데이터를 수정하는 중입니다. 빠른 조치를 위해 최선을 다하겠습니다."}, {"language": "en", "title": "We apologize for any inconvenience you may have experienced.", "reason": "We are currently modifying the game data. We will try our best to resolve the issue as soon as possible."}, {"language": "ja", "title": "ご利用中にご不便をおかけし、大変申し訳ございません。", "reason": "只今ゲームデータを修正しています。迅速な解決に向けて最善を尽くします。"}]}'
確認停權類型註冊回應¶
若類型註冊請求成功,請透過回應資料中的 block_type 值確認已註冊的停權類型編號。
停權類型解除¶
從 Hive 伺服器刪除已註冊的停權類型。若該類型存在目前停權中的使用者資料,則無法刪除。
Basics¶
| 說明 | |
|---|---|
| Request URL | 正式環境: https://auth.qpyou.cn/game/block/type/delete 沙箱: https://sandbox-auth.qpyou.cn/game/block/type/delete |
| Method | POST |
| HTTP Header | Content-type: application/json ISCRYPT: 0 |
| Response Format | JSON |
Request¶
| Parameter | Type | Required | Description |
|---|---|---|---|
| appid | String | O | App ID |
| hive_certification_key | String | O | Hive 認證金鑰(在 App Center 發行)詳情 |
| block_type | Integer | O | 停權類型編號 |
Response¶
| Parameter | Type | Description |
|---|---|---|
| result_code | Integer | 結果代碼
|
| result_msg | String | 結果訊息 |
Request examples¶
curl -X POST https://auth.qpyou.cn/game/block/type/delete \
-H 'Content-Type: application/json' \
-H 'ISCRYPT: 0' \
-d '{"appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common", "hive_certification_key": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY", "block_type": 88}'